Post has attachment

I'm looking at this page: https://developers.google.com/assistant/sdk/reference/library/python/modules/google/assistant/assistant#Assistant.stop_conversation

But, I'm not sure what I need to send off through gRPC (since I'm not using Python).

Also is there a special message type that is sent when the assistant doesn't provide voice feedback (eg. changing the volume or muting). Right now I'm using the fact that I get a getVolumePercentage that isn't 0. Looks like "mute" is 1 percent?

There is a python call for muting the mic as well, but like stop_conversation, I'm not super sure what gRPC is looking for in those cases.

Would love some guidance if anyone could offer it.

Thanks!

i have sucessfully installed google assistant on my raspberry pi device
its works well
now i wanted to change 2 things in it one is that i wanted to change voice of assistant to other voices secondly i want to add some manual commends to it like some question n answers

Post has attachment
Is this the world's first furniture with a Google Assistant SDK integrated ?

Has anyone run into the issue where the google-assistant-demo will talk back with a "Actually, there are some basic settings..." response even though permissions in Activity Controls are all correctly toggled on?

I have no idea what the fix is. Rebooted the Pi and re-SSH'd in from my development machine. My only guess is that it takes some time for settings to take place?

Post has attachment
Anyone know how to authenticate via a service account? Preferably with the python sdk?

I'm running the embedded assistant on a raspberry pi that's embedded into a device with virtually no user input so I'm trying to authorize on behalf of the service account rather than individual users.

I've seen https://developers.google.com/assistant/sdk/prototype/getting-started-other-platforms/integrate but I'm still at a loss for how to do this.

Using the Python SDK, how do I get the text version of the response?

Anyone found an up to date idiot's guide to installing the SDK on an "Other device"? All the ones I can find out there are for the original version without hotword activation.

I'd like to give it a go on my old Mac Mini and a Pi Zero W.

How can I use Google Assistant on Raspberry Pi 3 with Home Assistant (or any other home automation system)? I cannot find how to use voice commands to manage lights, tv, garage door, etc....

Post has attachment
Hi I'm trying to add google assistant library on my raspberry pi but after i give the authorization code an SSL error comes up .

the timezone ,date and time are also correct .
here is the exact response :

google-oauthlib-tool --client-secrets /home/pi/client_secret_63739953742-lnuqvr6elbptq3gpa7uk40udi5qkmk8g.apps.googleusercontent.com.json --scope https://www.googleapis.com/auth/assistant-sdk-prototype --save --headless
Please visit this URL to authorize this application: https://accounts.google.com/o/oauth2/auth?response_type=code&client_id=63739953742-lnuqvr6elbptq3gpa7uk40udi5qkmk8g.apps.googleusercontent.com&redirect_uri=urn%3Aietf%3Awg%3Aoauth%3A2.0%3Aoob&scope=https%3A%2F%2Fwww.googleapis.com%2Fauth%2Fassistant-sdk-prototype&state=t0PY8xVKAc63qWjIIstNm1Gsyezvag&prompt=consent&access_type=offline
Enter the authorization code: 4/whobw8uY1QIf417iUQsqMjEckV1h6Pfj3SISFP2eDkU
Traceback (most recent call last):
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/urllib3/connectionpool.py", line 345, in make_request
self._validate_conn(conn)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/urllib3/connectionpool.py", line 844, in _validate_conn
conn.connect()
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/urllib3/util/ssl.py", line 325, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib/python3.4/ssl.py", line 364, in wrap_socket
context=self)
File "/usr/lib/python3.4/ssl.py", line 577, in __init_
self.do_handshake()
File "/usr/lib/python3.4/ssl.py", line 804, in do_handshake
self.sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/requests/adapters.py", line 440, in send
timeout=timeout
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/urllib3/connectionpool.py", line 630, in urlopen
raise SSLError(e)
urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/pi/Desktop/bithome/env/bin/google-oauthlib-tool", line 11, in <module>
sys.exit(main())
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/click/core.py", line 722, in __call_
return self.main(*args, **kwargs)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/click/core.py", line 697, in main
rv = self.invoke(ctx)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/click/core.py", line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/click/core.py", line 535, in invoke
return callback(*args, **kwargs)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/google_auth_oauthlib/tool/__main__.py", line 106, in main
creds = flow.run_console()
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/google_auth_oauthlib/flow.py", line 358, in run_console
self.fetch_token(code=code)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/google_auth_oauthlib/flow.py", line 235, in fetch_token
**kwargs)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/requests_oauthlib/oauth2_session.py", line 221, in fetch_token
verify=verify, proxies=proxies)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/requests/sessions.py", line 560, in post
return self.request('POST', url, data=data, json=json, **kwargs)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/requests_oauthlib/oauth2_session.py", line 360, in request
headers=headers, data=data, **kwargs)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/requests/sessions.py", line 513, in request
resp = self.send(prep, **send_kwargs)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/requests/sessions.py", line 623, in send
r = adapter.send(request, **kwargs)
File "/home/pi/Desktop/bithome/env/lib/python3.4/site-packages/requests/adapters.py", line 514, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)



"Here is the latest news :" and shutdown... why ?
Wait while more posts are being loaded